Bug 516114 - Review Request: trac-accountmanager-plugin - Trac plugin for account registration and management
Summary: Review Request: trac-accountmanager-plugin - Trac plugin for account registra...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 518046 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-06 19:40 UTC by Ben Boeckel
Modified: 2010-12-21 06:00 UTC (History)
3 users (show)

Fixed In Version: 0.2.1-0.3.20090522svn5836.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-06 15:11:43 UTC
paul: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ben Boeckel 2009-08-06 19:40:32 UTC
Spec URL: http://benboeckel.net/packaging/trac-accountmanager-plugin/trac-accountmanager-plugin.spec
SRPM URL: http://benboeckel.net/packaging/trac-accountmanager-plugin/trac-accountmanager-plugin-0.2.1-0.1.20090522svn5836.fc11.src.rpm
Description:
This Trac plugin allows users to create and manage an account
on a Trac instance.

% rpmlint trac-accountmanager-plugin-*.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jason Tibbitts 2009-08-18 17:15:22 UTC
*** Bug 518046 has been marked as a duplicate of this bug. ***

Comment 2 Paul Howarth 2009-08-19 15:36:55 UTC
I'll review this one since I had a look at an earlier submission (Bug #494219) and when the submitter of that one lost interest I had a go at packaging it myself (Bug #518046). There may be some mileage in merging our efforts actually.

First looks:

 * shouldn't the tarball name have _r5836 rather than _r0?
 * is the git-core dependency a remnant of starting with the spec file for the git plugin, or is there some actual reason for having it?
 * the package description could list a few extra features such as allowing users to change their passwords
 * the setuptools regression mentioned in the comments has been fixed in F-11 so that comment could be removed
 * there is a patch available in svn trunk for http://trac-hacks.org/ticket/4125 (it's in my package from Bug #518046).
 * please include sessionstore_convert.py script (see http://www.mailinglistarchive.com/trac-users@googlegroups.com/msg03696.html)
 * it's safe to use --skip-build as EPEL-4 doesn't have trac >= 0.11 so there's not likely to be an EL-4 branch of this package
 * the noarch/sitelib comment from the python spec file template can be dropped I think

Comment 3 Ben Boeckel 2009-08-19 18:52:12 UTC
I'll merge out spec files this week. Patches, description, and cleaning useless comments.

And the git BR is due to starting from the git plugin ;) . It'll be gone next round.

Comment 5 Paul Howarth 2009-08-28 14:58:01 UTC
The tarball in the SRPM is missing a bunch of stuff - seems you still have a broken setuptools/subversion still?

One of the missing items is the sessionstore_convert.py script, so you shouldn't need a separate source item for that. The templates directory is also missing.

There are still a couple of comments left over from the template (sitelib at the top, and again in the %files list).

Comment 7 Paul Howarth 2009-09-03 14:08:07 UTC
rpmlint output:

  trac-accountmanager-plugin.src: W: strange-permission pull-from-svn.sh 0775
  2 packages and 0 specfiles checked; 0 errors, 1 warnings

  => harmless

Review checklist:

- package name OK and matches other trac plugins in distribution
- spec file name OK
- package meets guidelines
- license OK and matches upstream
- no detached license file
- spec file written in English and is legible
- no upstream tarball to compare sources with, but pull-from-svn script
  provided
- package builds in mock for F-11 and Rawhide; package not appropriate for
  F-10 due to trac >= 11.0 requirement
- buildreqs OK
- no locale data, subpackages, libraries, devel files, or scriplets to worry about
- package not intended to be relocatable
- no duplicate files or directory ownership issues
- %defattr and %clean present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- not a GUI app, no desktop file needed
- all filenames are ASCII
- package functions as expected
  (see http://www.city-fan.org/tips/TracWithFastCGIonFedora for example setup)
- no file dependencies

No issues there then.

APPROVED.

Comment 8 Ben Boeckel 2009-09-03 14:23:12 UTC
New Package CVS Request
=======================
Package Name: trac-accountmanager-plugin
Short Description: Trac plugin for account registration and management
Owners: mathstuf pghmcfc
Branches: F-11
InitialCC:

Comment 9 Kevin Fenzi 2009-09-04 02:16:02 UTC
cvs done.

Comment 10 Ben Boeckel 2009-09-06 15:11:43 UTC
Built for Rawhide and F-11. Closing

Comment 11 Fedora Update System 2009-09-06 15:15:03 UTC
trac-accountmanager-plugin-0.2.1-0.3.20090522svn5836.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/trac-accountmanager-plugin-0.2.1-0.3.20090522svn5836.fc11

Comment 12 Fedora Update System 2009-09-29 14:26:14 UTC
trac-accountmanager-plugin-0.2.1-0.3.20090522svn5836.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Paul Howarth 2010-12-17 16:33:00 UTC
Package Change Request
======================
Package Name: trac-accountmanager-plugin
New Branches: el6
Owners: pghmcfc

Ben's not interested in maintaining this in EPEL at the moment (though of course he's welcome as co-maintainer at a later date if he wishes)

Comment 14 Kevin Fenzi 2010-12-21 06:00:47 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.